#!/bin/sh

prefix=/usr/local/pgsql/bin
myprefix=/usr/local/sbin
dbname=MyDB
dbuser=postgres

today=`date '+%Y%m%d'`
echo today=$today

is_proceed=`$prefix/psql -d $dbname -U $dbuser -qt -c \
"select count(*) from maintenance where processdate='$today'"`
if [ $is_proceed = 0 ]; then
    count=`$prefix/psql -d $dbname -U $dbuser -qt -c \
    "select count(*) from current_users"`
    if [ $count = 0 ]; then
        $myprefix/mypgctl stop

        ## backup process

        $myprefix/mypgctl start
        $prefix/psql -d $dbname -U $dbuser -qt -c \
        "insert into maintenance (processdate) values ('$today')"
    fi
fi
